import request from '@/utils/request'

// 查询交易项目转移信息列表
export function listInfo(query) {
  return request({
    url: '/trade/changeInfo/list',
    method: 'get',
    params: query
  })
}

// 查询交易项目转移信息详细
export function getInfo(changeId) {
  return request({
    url: '/trade/changeInfo/' + changeId,
    method: 'get'
  })
}

// 新增交易项目转移信息
export function addInfo(data) {
  return request({
    url: '/trade/changeInfo',
    method: 'post',
    data: data
  })
}

// 修改交易项目转移信息
export function updateInfo(data) {
  return request({
    url: '/trade/changeInfo',
    method: 'put',
    data: data
  })
}

// 删除交易项目转移信息
export function delInfo(changeId) {
  return request({
    url: '/trade/changeInfo/' + changeId,
    method: 'delete'
  })
}

// 导出交易项目转移信息
export function exportInfo(query) {
  return request({
    url: '/trade/changeInfo/export',
    method: 'get',
    params: query
  })
}
